/* Sistemas Integrados TEKNISA
  Fechamento do Dia - Gerao RNF

Nome: 0001_SDX_TABEXPRNF.SQL

Descrio:
Criao das tabelas especficas para gerao da RNF

@C:\Web_503\XDB\Src\Cli\SDX\SQL\0001_SDX_TABEXPRNF.SQL

Criao:
01/08/2007 - Fabrcio Marcelo da Silva
*/


CREATE TABLE USR_HEAD_TRAIL_RNF
(
    CDEMPSAP              VARCHAR2(04)        null,
    FILIAL                VARCHAR2(04)        null,
    NRRNF                 VARCHAR2(06)        null,
    DTRNF                 DATE                null,
    HRRNF                 VARCHAR2(05)        null,
    NOMEA                 VARCHAR2(12)        null,
    QTDDT                 VARCHAR2(06)        null,
    DTIMPORTACAO          DATE                null
)
/

CREATE TABLE USR_CORPO_RNF
(
    CDEMPSAP              VARCHAR2(04)        null,
    FILIAL                VARCHAR2(04)        null,
    NRRNF                 VARCHAR2(06)        null,
    CDCGC                 VARCHAR2(14)        null,
    CDSER                 VARCHAR2(03)        null,
    NRNOT                 VARCHAR2(06)        null,
    VLRNF                 FLOAT               null,
    DTEMI                 DATE                null,
    DTVEN                 DATE                null,
    DTRNF                 DATE                null,
    VLSTR                 FLOAT               null,
    VLDESC                FLOAT               null,
    VLFRETE               FLOAT               null,
    VLSEGUR               FLOAT               null,
    VLODES                FLOAT               null,
    DTIMPORTACAO          DATE                null,
    CDCNPJ                VARCHAR2(20)        null
)
/

CREATE TABLE USR_ITEM_RNF
(
    CDEMPSAP              VARCHAR2(04)        null,
    FILIAL                VARCHAR2(04)        null,
    NRRNF                 VARCHAR2(06)        null,
    CDCGC                 VARCHAR2(14)        null,
    CDSER                 VARCHAR2(03)        null,
    NRNOT                 VARCHAR2(06)        null,
    ITEMNF                VARCHAR2(03)        null,
    TPDOC                 VARCHAR2(03)        null,
    VLRNF                 FLOAT               null,
    DTEMI                 DATE                null,
    ALIQU                 FLOAT               null,
    BICMS                 FLOAT               null,
    CDCFO                 VARCHAR2(04)        null,
    CDTRI                 VARCHAR2(02)        null,
    DTVEN                 DATE                null,
    VLIPI                 FLOAT               null,
    DTRNF                 DATE                null,
    VLICM                 FLOAT               null,
    VLSTR                 FLOAT               null,
    CDMAT                 VARCHAR2(18)        null,
    QTDE                  FLOAT               null,
    VLUNIT                FLOAT               null,
    VLDESC                FLOAT               null,
    NFORIGEM              VARCHAR2(06)        null,
    SERORIG               VARCHAR2(03)        null,
    CDRS                  VARCHAR2(06)        null,
    DESCPROD              VARCHAR2(40)        null,
    DTIMPORTACAO          DATE                null
)
/

ALTER TABLE USR_HEAD_TRAIL_RNF ADD CONSTRAINT  PK_HEAD_RNF PRIMARY KEY (CDEMPSAP, FILIAL, NRRNF, DTRNF)
/

ALTER TABLE USR_CORPO_RNF ADD CONSTRAINT PK_CORPO_RNF PRIMARY KEY (CDEMPSAP, FILIAL, NRRNF, DTRNF, CDCGC, CDSER, NRNOT)
/

ALTER TABLE USR_ITEM_RNF ADD CONSTRAINT  PK_ITEM_RNF PRIMARY KEY (CDEMPSAP, FILIAL, NRRNF, DTRNF, CDCGC, CDSER, NRNOT, ITEMNF)
/

ALTER TABLE USR_CORPO_RNF
   ADD CONSTRAINT FKHEAD FOREIGN KEY (CDEMPSAP, FILIAL, NRRNF, DTRNF)
      REFERENCES USR_HEAD_TRAIL_RNF (CDEMPSAP, FILIAL, NRRNF, DTRNF)
/

ALTER TABLE USR_ITEM_RNF
   ADD CONSTRAINT FKCORPO FOREIGN KEY (CDEMPSAP, FILIAL, NRRNF, DTRNF, CDCGC, CDSER, NRNOT)
      REFERENCES USR_CORPO_RNF (CDEMPSAP, FILIAL, NRRNF, DTRNF, CDCGC, CDSER, NRNOT)
/

CREATE INDEX HEAD_FK ON USR_HEAD_TRAIL_RNF (DTRNF ASC)
/

CREATE INDEX HEAD_02 ON USR_HEAD_TRAIL_RNF (DTIMPORTACAO ASC)
/

ALTER TABLE USR_CORPO_RNF
   ADD   CDCNPJ   VARCHAR2(20)        null

/   

ALTER TABLE USR_CORPO_RNF
   MODIFY    CDCNPJ   VARCHAR2(14)
/


-- VERSAO --
BEGIN ATUVEROBJ('ATUALIZACAO_ESTRUTURA_BD','5.09.000'); END;
/