/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DESPADMFATUR                                             */
/* Tabela : DESPADMFATUR                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_DESPADMFATUR'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_DESPADMFATUR
GO

CREATE TRIGGER DTULTATU_DESPADMFATUR
ON DESPADMFATUR
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'DESPADMFATUR', null, 'CDDESPADMFAT=' + CDDESPADMFAT + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE DESPADMFATUR
      SET DTULTATUDADM = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(DESPADMFATUR.CDDESPADMFAT,0) = ISNULL(INSERTED.CDDESPADMFAT,0)) AND
            (ISNULL(DESPADMFATUR.DSDESPADMFAT,0) = ISNULL(INSERTED.DSDESPADMFAT,0)) ;
   END;
END;
GO
